from PIL import Image
from urllib.request import urlopen

IMAGES = [
    ('robot', 'https://cdn-icons-png.flaticon.com/512/3070/3070648.png'),
    ('wall', 'https://cdn-icons-png.flaticon.com/512/698/698633.png'),
    ('coin', 'https://cdn-icons-png.flaticon.com/512/1490/1490853.png'),
]

for name, url in IMAGES:
    src = urlopen(url)
    img = Image.open(src)
    img = img.resize((48, 48)).convert(mode='P', colors=8)
    img.save(name + '.png')